PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::RectangularMaskedMesh3D::ElementMesh Struct Reference

Element mesh. More...

`#include <plask/mesh/rectangular_masked3d.hpp>`

Inheritance diagram for plask::RectangularMaskedMesh3D::ElementMesh:
[legend]
Collaboration diagram for plask::RectangularMaskedMesh3D::ElementMesh:
[legend]

## Public Member Functions
| ElementMesh (const RectangularMaskedMesh3D *originalMesh)
RectangularMaskedMesh3D | toMasked () const
| operator RectangularMaskedMesh3D () const
std::size_t | index (std::size_t axis0_index, std::size_t axis1_index, std::size_t axis2_index) const
| Calculate this mesh index using indexes of axis0 and axis1.
bool | prepareInterpolation (const Vec< 3 > &point, Vec< 3 > &wrapped_point, std::size_t &index0_lo, std::size_t &index0_hi, std::size_t &index1_lo, std::size_t &index1_hi, std::size_t &index2_lo, std::size_t &index2_hi, const InterpolationFlags &flags) const
template<typename RandomAccessContainer >
auto | interpolateLinear (const RandomAccessContainer &data, const Vec< 3 > &point, const InterpolationFlags &flags) const -> typename std::remove_reference< decltype(data[0])>::type
| Calculate (using linear interpolation) value of data in point using data in points described by this mesh.
template<typename RandomAccessContainer >
auto | interpolateNearestNeighbor (const RandomAccessContainer &data, const Vec< 3 > &point, const InterpolationFlags &flags) const -> typename std::remove_reference< decltype(data[0])>::type
| Calculate (using nearest neighbor interpolation) value of data in point using data in points described by this mesh.

## Detailed Description

Element mesh.

Definition at line 238 of file rectangular_masked3d.hpp.

## Constructor & Destructor Documentation

## ◆ ElementMesh()

plask::RectangularMaskedMesh3D::ElementMesh::ElementMesh | ( | const RectangularMaskedMesh3D * | originalMesh | ) |
| inline explicit

Definition at line 240 of file rectangular_masked3d.hpp.

## Member Function Documentation

## ◆ index()

std::size_t plask::RectangularMaskedMesh3D::ElementMesh::index | ( | std::size_t | axis0_index,
|  | std::size_t | axis1_index,
|  | std::size_t | axis2_index
| ) |  | const
| inline

Calculate this mesh index using indexes of axis0 and axis1.

Parameters

  axis0_index | index of axis0, from 0 to axis[0]->size()-1
  axis1_index | index of axis1, from 0 to axis[1]->size()-1
  axis2_index | index of axis1, from 0 to axis[2]->size()-1

Returns
  this mesh index, from 0 to size()-1, or NOT_INCLUDED

Definition at line 259 of file rectangular_masked3d.hpp.

## ◆ interpolateLinear()

template<typename RandomAccessContainer >

auto plask::RectangularMaskedMesh3D::ElementMesh::interpolateLinear | ( | const RandomAccessContainer & | data,
|  | const Vec< 3 > & | point,
|  | const InterpolationFlags & | flags
| ) |  | const -> typename std::remove_reference<decltype(data[0])>::type
| inline

Calculate (using linear interpolation) value of data in point using data in points described by this mesh.

Parameters

  data | values of data in points describe by this mesh
  point | point in which value should be calculate

Returns
  interpolated value in point `point`

Definition at line 278 of file rectangular_masked3d.hpp.

## ◆ interpolateNearestNeighbor()

template<typename RandomAccessContainer >

auto plask::RectangularMaskedMesh3D::ElementMesh::interpolateNearestNeighbor | ( | const RandomAccessContainer & | data,
|  | const Vec< 3 > & | point,
|  | const InterpolationFlags & | flags
| ) |  | const -> typename std::remove_reference<decltype(data[0])>::type
| inline

Calculate (using nearest neighbor interpolation) value of data in point using data in points described by this mesh.

Parameters

  data | values of data in points describe by this mesh
  point | point in which value should be calculate

Returns
  interpolated value in point `point`

Definition at line 344 of file rectangular_masked3d.hpp.

## ◆ operator RectangularMaskedMesh3D()

plask::RectangularMaskedMesh3D::ElementMesh::operator RectangularMaskedMesh3D | ( |  | ) | const
| inline

Definition at line 248 of file rectangular_masked3d.hpp.

## ◆ prepareInterpolation()

bool plask::RectangularMaskedMesh3D::ElementMesh::prepareInterpolation | ( | const Vec< 3 > & | point,
|  | Vec< 3 > & | wrapped_point,
|  | std::size_t & | index0_lo,
|  | std::size_t & | index0_hi,
|  | std::size_t & | index1_lo,
|  | std::size_t & | index1_hi,
|  | std::size_t & | index2_lo,
|  | std::size_t & | index2_hi,
|  | const InterpolationFlags & | flags
| ) |  | const
| inline

Definition at line 263 of file rectangular_masked3d.hpp.

## ◆ toMasked()

RectangularMaskedMesh3D plask::RectangularMaskedMesh3D::ElementMesh::toMasked | ( |  | ) | const
| inline

Definition at line 243 of file rectangular_masked3d.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/rectangular_masked3d.hpp